summaryrefslogtreecommitdiffstats
path: root/retiolum/scripts/tinc_setup
diff options
context:
space:
mode:
authorEUcancER <root@euer.krebsco.de>2012-12-28 00:29:49 +0100
committerEUcancER <root@euer.krebsco.de>2012-12-28 00:29:49 +0100
commitd1c0f2ea597d4f043d9c4e7134c7a8f6bcbe9260 (patch)
treee378965bb6eb31b22dcddbc74ff9fae1fb06fcac /retiolum/scripts/tinc_setup
parent40cc00afcf0564815edee4810b908847affc4832 (diff)
retiolum/install: enable shell-expansion until further notice, fallback for OS
Diffstat (limited to 'retiolum/scripts/tinc_setup')
-rwxr-xr-xretiolum/scripts/tinc_setup/new_install.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/retiolum/scripts/tinc_setup/new_install.sh b/retiolum/scripts/tinc_setup/new_install.sh
index 0a49c983..90de1511 100755
--- a/retiolum/scripts/tinc_setup/new_install.sh
+++ b/retiolum/scripts/tinc_setup/new_install.sh
@@ -6,7 +6,7 @@ if test "${nosudo-false}" != true -a `id -u` != 0; then
exec sudo -E "$0" "$@"
exit 23 # go to hell
fi
-set -euf
+set -eu
#
SUBNET4=${SUBNET4:-10.243}
SUBNET6=${SUBNET6:-42}
@@ -127,6 +127,9 @@ find_os()
OS=2
elif grep -qe 'OpenWrt' /etc/*release 2>/dev/null; then
OS=3
+ else
+ echo "Cannot determine your operating system, falling back to Linux"
+ OS=1
fi
}